/* colors */
.theme-krave {
  --primary-color: #58210A;
  --secondary-color: #E51121;
  --secondary-hover: #A0030F;
  --tertiary-color: #DA2316;
}

/* body */
body.theme-krave main {
  font-family: var(--krave-body-font);
}

/* headings */
body.theme-krave main h1,
body.theme-krave main h2,
body.theme-krave main h3,
body.theme-krave main h4,
body.theme-krave main h5,
body.theme-krave main h6 {
  font-family: var(--krave-heading-font);
  color: var(--black); 
  font-weight: bold;
  line-height: 1;
  text-transform: uppercase;
}

/* buttons */
.theme-krave main a.button,
.theme-krave main button {
  font-family: var(--krave-heading-font);
  font-size: 1.4em;
  font-weight: bold;
  line-height: 1.5;
}

.theme-krave main a.button.primary,
.theme-krave main button.primary,
.theme-krave main a.button.secondary,
.theme-krave main button.secondary {
  justify-content: center;
  padding: .1em .8em .1em;
  border: 0;
  border-radius: 2px;
  box-shadow: 0.2em 0.2em 1em rgba(0 0 0 0 / 15%);
  min-width: 8em;
  transition: color 0.15s background-color 0.15s;
}

.theme-krave main a.button.primary,
.theme-krave main button.primary {
  background-color: var(--primary-color);
  color: var(--white);
}

.theme-krave main a.button.primary:hover,
.theme-krave main button.primary:hover,
.theme-krave main a.button.primary:focus,
.theme-krave main button.primary:focus {
  background-color: var(--white);
  color: var(--primary-color);
}

.theme-krave main a.button.secondary,
.theme-krave main button.secondary {
  background-color: var(--secondary-color);
  color: var(--white);
}

.theme-krave main a.button.secondary:hover,
.theme-krave main button.secondary:hover,
.theme-krave main a.button.secondary:focus,
.theme-krave main button.secondary:focus {
  background-color: var(--secondary-hover);
}

/* section */
.theme-krave main .section.secondary-bg-section::after {
  border-bottom: 50px solid var(--primary-color);
}

@media (width >= 1024px) {
  .theme-krave main .section.secondary-bg-section::after {
    border-bottom: 150px solid var(--primary-color);
  }
}

.theme-krave main .section.tertiary-bg-section:after {
  background-color: var(--primary-color);
}
